<?php
include_once '../functions/db_connect.php';
include_once '../functions/functions.php';
 
sec_session_start();
?>



<?php if (login_check($mysqli) == true) : ?>
<?php $userid = $_SESSION['user_id']; ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>StudTest</title>

    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <script src="../js/jquery.min.js"></script>
<script> var userid = <?php echo $userid; ?>; </script>
<script src="../js/studtestadmin.js"></script>

  



</head>
<body>


<div  id="navbar" class="navbar navbar-inverse navbar-fixed-top" style="background: #f0ad4e; border-color: #eea236;">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbarr" aria-expanded="false" aria-controls="navbarr">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="http://folk.ntnu.no/gunaydin/" style="color:white;">
                <img alt="Brand" src="../images/navlogo.png" style="height: 35px;">StudTest

            </a>
        </div>


        <div id="navbarr" class="navbar-collapse collapse">
            <ul id="navbaritems" class="nav navbar-nav">
                <li><a id="startMenuButton" href="http://folk.ntnu.no/gunaydin/">START!</a></li>
                <li><a id="loginMenuButton" href="http://folk.ntnu.no/gunaydin/admin/">LAG SELV</a></li>
                <li><a id="omoss" data-toggle="modal" href="#myModal">OM</a></li>
		<?php if (login_check($mysqli) == true) : ?>
		<li><button  class="btn btn-success navbar-btn" onclick="window.location.href='../functions/logout.php'">LOGG UT</button></li>
		<?php endif; ?>
            </ul>
        </div>


    </div>


</div>

<!-- MODAL -->
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Om StudTest</h4>
            </div>
            <div class="modal-body">
                <p>StudTest er en quiz-applikasjon som er utviklet som et repitisjonsverktøy for elever og studenter i Norske skoler. Systemet er utviklet
                    som en del av en masteroppgave utført ved IDI på NTNU, og er en test versjon for en eventuell etterkommer.</p>
                <p>Systemet skal gi brukere mulighet til å løse faglige spørsmål som er relevant med skolen. Oppgavene er kategorisert etter nivå, klasse, fag
                    og tema slik at brukere fra ulike skolenivåer kan bruke den.</p>
                <p>StudTest er basert på deling av kunnskap mellom brukere, i denne sammenhengen kan enhver bruker legge inn faglige spørsmål til systemet
                    og bidra til et økt og variert innhold.</p>
                <p>Systemet er tilgjengelig på internett på nettadressen: folk.ntnu.no/gunaydin, Google Play og App Store</p>
                <p>For å gi tilbakmelding og vurderinger om systemet, send gjerne en epost.</p>
                <p>gunaydin@stud.ntnu.no</p>
                <p>Utviklet av Muhsin Gunaydin, IDI NTNU</p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Lukk</button>
            </div>
        </div>
    </div>
</div>
<!-- END OF MODAL -->
  



    <div class="container">


            <div class="btn-group" >
                <button class="btn btn-primary btn-lg" id="backbutton" onclick="window.location.href = 'http://folk.ntnu.no/gunaydin/';">&laquo</button>

            </div>

            <div class="btn-group" id="level"></div>

            <div class="btn-group" id="class"></div>

            <div  class="btn-group" id="subject"></div>

            <div  class="btn-group" id="section"></div>




    </div>

    <div class="container" style="margin-top: 5px;">
        <div class="jumbotron" id="jumbo">
        <h3 class="text-center" id="jumbo-heading">Bruk menyen over til å velge et nivå du skal lage spørsmål til. <br> Dersom du ikke finner klassen, faget eller temaet du leter etter, kan du selv legge til disse </h3>


        </div>

        <div class="row">
            <div class="alert alert-warning" role="alert" id="message-box" style="display: none; font-size: 16px;"></div>
        </div>
        <div class="row">
            <button class="btn btn-primary btn-lg btn-block" role="button" style="display: none;" id="save-question">Lagre</button>
        </div>




    </div>

    <div class="container">
        <div class="row text-center">
            <?php 
		if (login_check($mysqli) == true) {
		    			echo '<br><p>' . $logged . ' ' . htmlentities($_SESSION['username']) . ' er logget inn.</p>';
					
 	           }
            ?>

        </div>
    </div>



    </div>














<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../js/bootstrap.min.js"></script>
<script src="../js/jquery.twbsPagination.min.js"></script>

</body>
</html>




<?php else : ?>
<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>StudTest</title>


    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/form.css" rel="stylesheet">

   <script type="text/JavaScript" src="../js/sha512.js"></script> 
	<script type="text/JavaScript" src="../js/forms.js"></script> 


    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <script src="../js/jquery.min.js"></script>

	<script>
$(document).ready(function() {
$("#includedContent").load("../navbar.html");
});
</script>
</head>
<body>
<?php
if (isset($_GET['error'])) {
    echo '<p class="error">Error Logging In!</p>';
}
?>

<div id="includedContent"></div>

<div class="container" style="margin-top: 5px;">
    <div class="jumbotron" id="jumbo">
    
        <div class="text-center">
        <form class="form-signin" action="../functions/process_login.php" method="post" name="login_form">
            <h2 class="form-signin-heading">Logg inn for å lage spørsmål</h2>
            <label for="inputEmail" class="sr-only">Email address</label>
            <input type="text" name="email" id="inputEmail" class="form-control" placeholder="Brukernavn eller epost" >
            <label for="password" class="sr-only">Passord</label>
            <input type="password" id="password" class="form-control" placeholder="Passord" >

            <button class="btn btn-lg btn-primary btn-block" type="submit" value="Login"
                    onclick="formhash(this.form, this.form.password);">Logg inn
            </button>
        </form>

        <p>Har du ikke brukerkonto? <a href="http://folk.ntnu.no/gunaydin/register/">Register</a></p>
        </div>
    </div>

</div>


<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="../js/bootstrap.min.js"></script>
<script src="../js/jquery.twbsPagination.min.js"></script>

</body>


</html>
<?php endif; ?>



